Page MenuHomePhabricator

Raw "<references />" tag displayed on wiki page after upgrade to 1.26
Closed, DeclinedPublic

Description

I just updated to 1.26.0 and there's some weird things happening with the <references /> tag for example:

http://coppermind.net/wiki/Sazed?diff=next&oldid=55267

which shows a diff between <references></references> (yes, empty) and <references />

and I've seen a problem on another article with <references/> vs <references /> and on most of the articles neither have any problems.

Event Timeline

fbstj created this task.Nov 26 2015, 9:48 AM
fbstj raised the priority of this task from to Needs Triage.
fbstj updated the task description. (Show Details)
fbstj added a project: Cite.
fbstj added a subscriber: fbstj.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 26 2015, 9:48 AM
Aklapper renamed this task from Cite extension has started acting weirdly to Raw "<references />" tag displayed on wiki page after upgrade to 1.26.Nov 26 2015, 11:06 AM
Aklapper set Security to None.

Hi @fbstj, thanks for taking the time to report this!
I hope I changed the task summary correctly.

From which version did you upgrade?

Any pattern? On the given link, no references are in the text so I wonder if that influences the display of the raw <references /> in the HTML page...

Hey @Aklapper I've not yet spotted any consistently

here's another example, this time of <references> ... </references> being weird http://coppermind.net/wiki/Dalinar_Kholin

our wiki uses a large number of templates to wrap <ref> tag usage. doing a text search for ref| will find all the templates. all the references are being put at the end of the page rather than places where the <references> tag is. That particular diff was meant to show how changing from <references /> to <references></references> fixed the issue.

I've also sometimes seen <references/> not working but editing to <references /> (adding a space) fixes it.

I upgraded from 1.25.3 (and had a bunch of problems where my server was complaining about group-writable api.php and load.php which confused the heck out of me) and moved the Cite extension from the REL1_25 to REL1_26 branch. (I think I also updated mediawiki to REL1_26 rather than the exact 1.26.0 tag?)

fbstj added a comment.EditedNov 26 2015, 11:43 AM

The main problem is that it's very inconsistent; most of the pages are still working fine. Some pages break with <references/> but not <references /> (eg), some are broken with <references /> but not <references></references> (eg), others are broken with <references>...</references> but not <references /> (eg)

edit: even weirder it can be edited away with somewhat unrelated changes, maybe it's a caching issue, but then why would the page that I edited and then 'unedited' return the bug?

fbstj removed a subscriber: fbstj.Dec 15 2015, 2:59 PM
Izno moved this task from Unsorted backlog to Defect backlog on the Cite board.Sep 6 2016, 9:27 PM

so I don't know if this needs to be kept open, since I can no longer reproduce these bugs (I've since moved up to a more recent version, and haven't seen it since?)

Aklapper closed this task as Declined.Dec 15 2017, 8:32 PM

Thanks for the update. Closing for the time being as nobody can reproduce.